Bug 1861807 - Cancel/Abort button should be disabled once REX job is finish
Summary: Cancel/Abort button should be disabled once REX job is finish
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.8.0
Hardware: All
OS: All
unspecified
medium vote
Target Milestone: 6.8.0
Assignee: Adam Ruzicka
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-29 15:34 UTC by Ranjan Kumar
Modified: 2020-10-27 13:05 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution-3.3.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:04:48 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screen (172.48 KB, image/png)
2020-07-29 15:34 UTC, Ranjan Kumar
no flags Details
Satellite 6.7 jobs (142.22 KB, image/png)
2020-07-29 16:26 UTC, Ranjan Kumar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 30525 0 Normal Closed Cancel/Abort button should be disabled once REX job is finish 2020-10-28 17:45:32 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:05:14 UTC

Description Ranjan Kumar 2020-07-29 15:34:14 UTC
Created attachment 1702839 [details]
Screen

Description of problem:
The "Abort Job" and "Cancel job" are still enabled after remote execution job completes.
Screen attached

Version-Release number of selected component (if applicable):Satellite 6.8


How reproducible:always


Steps to Reproduce:
1. Go Monitor -> Jobs -> Run Job
2. fill the form, use any command like df -h and press submit
3. Cancel and Abort is enabled after completion of job

Actual results: Cancel/Abort button are enabled


Expected results: Cancel/Abort button should be disabled


Additional info:
Additional info:
# rpm -qa satellite
satellite-6.8.0-0.7.beta.el7sat.noarch
# rpm -qa katello
katello-3.16.0-0.4.rc4.el7sat.noarch
# rpm -qa foreman
foreman-2.1.0.1-1.el7sat.noarch

Comment 3 Ranjan Kumar 2020-07-29 16:26:59 UTC
Created attachment 1702847 [details]
Satellite 6.7 jobs

Comment 4 Adam Ruzicka 2020-07-30 06:59:23 UTC
Created redmine issue http://projects.theforeman.org/issues/30525 from this bug

Comment 6 Bryan Kearney 2020-08-03 12:01:56 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/30525 has been resolved.

Comment 7 Peter Ondrejka 2020-08-21 11:03:26 UTC
Verified on Sat 6.8 12, Cancel/Abort buttons get disabled (with small delay) after the job finishes

Comment 10 errata-xmlrpc 2020-10-27 13:04:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.